## Upload Custom Origin Trust Store `client.acm.customTrustStore.create(CustomTrustStoreCreateParamsparams, RequestOptionsoptions?): CustomTrustStore` **post** `/zones/{zone_id}/acm/custom_trust_store` Add Custom Origin Trust Store for a Zone. ### Parameters - `params: CustomTrustStoreCreateParams` - `zone_id: string` Path param: Identifier. - `certificate: string` Body param: The zone's SSL certificate or certificate and the intermediate(s). ### Returns - `CustomTrustStore` - `id: string` Identifier. - `certificate: string` The zone's SSL certificate or certificate and the intermediate(s). - `expires_on: string` When the certificate expires. - `issuer: string` The certificate authority that issued the certificate. - `signature: string` The type of hash used for the certificate. - `status: "initializing" | "pending_deployment" | "active" | 3 more` Status of the zone's custom SSL. - `"initializing"` - `"pending_deployment"` - `"active"` - `"pending_deletion"` - `"deleted"` - `"expired"` - `updated_at: string` When the certificate was last modified. - `uploaded_on: string` When the certificate was uploaded to Cloudflare. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const customTrustStore = await client.acm.customTrustStore.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', certificate: '-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n', }); console.log(customTrustStore.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n", "expires_on": "2122-10-29T16:59:47Z", "issuer": "GlobalSign", "signature": "SHA256WithRSA", "status": "active", "updated_at": "2014-01-01T05:20:00Z", "uploaded_on": "2014-01-01T05:20:00Z" } } ```